HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetProductsId

Contains the different functions to run the operation getProductsId

  • 2 types
  • 2 values
valuegetProductsId
  1. :: MonadHTTP m
  2. => GetProductsIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetProductsIdResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/products/{id}

<p>Retrieves the details of an existing product. Supply the unique product ID from either a product creation request or the product list, and Stripe will return the corresponding product information.</p>

Defines the object schema located at paths./v1/products/{id}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getProductsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetProductsIdResponseError is used.

Constructors

Instances2Eq, Show